Subject: Re: git push origin error (1.6.3 new default functionality)

From: Michael J Gruber <[email-masked]>
Date: Wed, 13 May 2009 11:54:20 +0200

Jeff King venit, vidit, dixit 13.05.2009 11:03:
> On Wed, May 13, 2009 at 10:44:33AM +0200, Johannes Sixt wrote:
> 
>> Unfortunately, the case with this warning is not that "simple" because it
>> is not about a planned change of the default behavior, but about a default
>> behavior that may be unexpected for newbies (see the release notes of
>> 1.6.3). I *can* understand that Caleb is upset by the warning, since he's
>> comfortable with the (current and future) default behavior. But I don't
>> know what to do in cases like these.
> 
> I thought this was in preparation for an eventual change, but I might be
> wrong (1.6.3 introduced several such warnings).
> 
> Regardless, my point was: the warning was introduced for a purpose
> (either to point out potentially confusing behavior, or to warn the user
> about an upcoming change in default behavior). Showing up now and saying
> "I don't like this warning" without addressing any of the points in the
> original discussion or making any sort of proposal to try to accomplish
> the same goals is just counterproductive.

I don't want to stir this up to much again - as I said, set config and
be done.

My main issue is the fact that we have a config variable (push.default)
which causes a different behaviour depending on whether it is unset or
set to its default (!) value. That is a completely new UI approach. We
may follow through with this for a "beginners' mode" for git, where
commands with possibly unintended side effects issue warnings, as
opposed to an "advanced mode" (activated by 1 config variable) which
shuts these off. Right now this new behaviour is isolated and feels strange.

Michael